Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.geomail.components
Class Storage

    java.lang.Object
      org.mule.example.geomail.components.Storage

All Implemented Interfaces:
  Callable, EventListener

    public class Storage

extends Object
implements Callable

TODO

Constructor Summary
`Storage()`

Method Summary
`SenderDao` | `getSenderDao()`
`Object` | `onCall(MuleEventContext context)` Passes the event to the listener
`void` | `setSenderDao(SenderDao senderDao)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Storage

    public Storage()

Method Detail

### onCall

    public Object onCall(MuleEventContext context)
                  throws Exception

  Description copied from interface: `Callable`
  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Parameters:
    `context` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

### getSenderDao

    public SenderDao getSenderDao()

### setSenderDao

    public void setSenderDao(SenderDao senderDao)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.